diff --git a/doc/src/sgml/storage.sgml b/doc/src/sgml/storage.sgml
index e5b7b4b..9934efd 100644
--- a/doc/src/sgml/storage.sgml
+++ b/doc/src/sgml/storage.sgml
@@ -759,9 +759,10 @@ data. Empty in ordinary tables.</entry>
 
   The first 24 bytes of each page consists of a page header
   (PageHeaderData). Its format is detailed in <xref
-  linkend="pageheaderdata-table">. The first two fields track the most
-  recent WAL entry related to this page. Next is a 2-byte field
-  containing flag bits. This is followed by three 2-byte integer fields
+  linkend="pageheaderdata-table">. The first field tracks the most recent WAL
+  entry related to this page. The next field stores the checksum for this page.
+  Next is a 2-byte field containing flag bits. This is followed by three 2-byte
+  integer fields
   (<structfield>pd_lower</structfield>, <structfield>pd_upper</structfield>,
   and <structfield>pd_special</structfield>). These contain byte offsets
   from the page start to the start
